Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmdb-py.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <rpmlib.h>`
`#include "rpmdb-py.h"`
`#include "rpmmi-py.h"`
`#include "header-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Class: rpm.db
rpmmiObject * | rpmdb_Match (rpmdbObject *s, PyObject *args)
int | rpmdb_length (rpmdbObject *s)
hdrObject * | rpmdb_subscript (rpmdbObject *s, PyObject *key)
void | rpmdb_dealloc (rpmdbObject *s)
PyObject * | rpmdb_getattr (rpmdbObject *s, char *name)
PyMethodDef | rpmdb_methods []
PyMappingMethods | rpmdb_as_mapping
char | rpmdb_doc []
PyTypeObject | rpmdb_Type

## Detailed Description

Definition in file rpmdb-py.c.